#ifndef SIZE_H
#define SIZE_H

#define SIZE_CHAR	1
#define SIZE_SHORT	2
#define SIZE_INT	4
#define SIZE_LONG	4
#define SIZE_WORD   4

#define IMAX_CHAR	127UL
#define IMAX_UCHAR	255UL
#define IMAX_SHORT	32767UL
#define IMAX_USHORT	65535UL
#define IMAX_INT	2147483647UL
#define IMAX_UINT	4294967295UL
#define IMAX_LONG	2147483647UL
#define IMAX_ULONG	4294967295UL

#endif

